package com.fjhx.purchase.controller.pay;

import org.springframework.web.bind.annotation.*;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.purchase.entity.pay.vo.PayVo;
import com.fjhx.purchase.entity.pay.dto.PaySelectDto;
import com.fjhx.purchase.entity.pay.dto.PayDto;
import com.ruoyi.common.core.domain.BaseSelectDto;
import com.fjhx.purchase.service.pay.PayService;
import org.springframework.beans.factory.annotation.Autowired;

import java.util.Map;


/**
 * <p>
 * 采购付款 前端控制器
 * </p>
 *
 * @author
 * @since 2023-04-13
 */
@RestController
@RequestMapping("/pay")
public class PayController {

    @Autowired
    private PayService payService;

    /**
     * 采购付款分页
     */
    @PostMapping("/page")
    public Page<PayVo> page(@RequestBody PaySelectDto dto) {
        return payService.getPage(dto);
    }


    /**
     * 采购付款统计
     * @param dto
     * @return
     */
    @PostMapping("/payStatistics")
    public Map<String,Object> payStatistics(@RequestBody PaySelectDto dto) {
        return payService.payStatistics(dto);
    }

    /**
     * 采购付款明细
     */
    @PostMapping("/detail")
    public PayVo detail(@RequestBody BaseSelectDto dto) {
        return payService.detail(dto.getId());
    }

    /**
     * 采购付款新增
     */
    @PostMapping("/add")
    public void add(@RequestBody PayDto payDto) {
        payService.add(payDto);
    }

    /**
     * 采购付款编辑
     */
    @PostMapping("/edit")
    public void edit(@RequestBody PayDto payDto) {
        payService.edit(payDto);
    }

    /**
     * 采购付款删除
     */
    @PostMapping("/delete")
    public void delete(@RequestBody BaseSelectDto dto) {
        payService.delete(dto.getId());
    }

}
